//DC Motor Example Project

#define ENABLE 5                    //Define the motor driver pins
#define DIRA 3
#define DIRB 4

const int X_pin = A1;               //Define joystick input pin

int motSpeed = 512;                 //Variable to store the motor speed

void setup() 
{
  pinMode(ENABLE,OUTPUT);           //Set the motor driver pin functions
  pinMode(DIRA,OUTPUT);
  pinMode(DIRB,OUTPUT);
}

void loop() 
{
  motSpeed = analogRead(X_pin);                 //Read in the joystick position
  if (motSpeed>=532)
  {
    motSpeed = map(motSpeed,532,1023,0,255);    //Map the motor speed to the driver range
    analogWrite(ENABLE,motSpeed);               //Set motor speed
    digitalWrite(DIRA,HIGH);                    //Set motor direction
    digitalWrite(DIRB,LOW);
  }
  else if (motSpeed<=492)
  {
    motSpeed = map(motSpeed,492,0,0,255);       //Map the motor speed to the driver range
    analogWrite(ENABLE,motSpeed);               //Set motor speed
    digitalWrite(DIRA,LOW);                     //Set motor direction
    digitalWrite(DIRB,HIGH);
  }
}
